Debian Bug report logs - #504286
RFP: treecc -- manage code generation for compiler development

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: David Paleino <dapal@debian.org>

Date: Sun, 2 Nov 2008 14:21:01 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#504286; Package wnpp. (Sun, 02 Nov 2008 14:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Paleino <d.paleino@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>. (Sun, 02 Nov 2008 14:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: David Paleino <d.paleino@gmail.com>
To: submit@bugs.debian.org
Subject: ITP: treecc -- manage code generation for compiler development
Date: Sun, 2 Nov 2008 15:18:52 +0100
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist

   Package name: treecc
        Version: 0.3.10
Upstream Author: Southern Storm Software, Pty Ltd <treecc@southern-storm.com.au>
            URL: http://www.southern-storm.com.au/treecc/
                 (not accessible, currently :-( )
License: GPL-2+
    Description: manage code generation for compiler development

 The treecc program is designed to assist in the development of compilers
 and other language-based tools. It manages the generation of code to handle
 abstract syntax trees and operations upon the trees.

-- 
 . ''`.  Debian maintainer | http://wiki.debian.org/DavidPaleino
 : :'  : Linuxer #334216 --|-- http://www.hanskalabs.net/
 `. `'`  GPG: 1392B174 ----|---- http://snipr.com/qa_page
   `-   2BAB C625 4E66 E7B8 450A C3E1 E6AA 9017 1392 B174
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#504286; Package wnpp. (Sun, 02 Nov 2008 22:36:33 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Mitchell <ajmitch@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Sun, 02 Nov 2008 22:36:34 GMT) Full text and rfc822 format available.

Message #10 received at 504286@bugs.debian.org (full text, mbox):

From: Andrew Mitchell <ajmitch@debian.org>
To: David Paleino <d.paleino@gmail.com>, 504286@bugs.debian.org
Subject: Re: Bug#504286: ITP: treecc -- manage code generation for compiler development
Date: Mon, 3 Nov 2008 10:49:43 +1300
[Message part 1 (text/plain, inline)]
On Sun, Nov 02, 2008 at 03:18:52PM +0100, David Paleino wrote:
> Package: wnpp
> Severity: wishlist
> 
>    Package name: treecc
>         Version: 0.3.10
> Upstream Author: Southern Storm Software, Pty Ltd <treecc@southern-storm.com.au>
>             URL: http://www.southern-storm.com.au/treecc/
>                  (not accessible, currently :-( )
> License: GPL-2+
>     Description: manage code generation for compiler development
> 
>  The treecc program is designed to assist in the development of compilers
>  and other language-based tools. It manages the generation of code to handle
>  abstract syntax trees and operations upon the trees.
> 

Hello David,
 This package used to be in Debian, but was removed due to lack of
uploads by myself & a low popularity. Are you wanting to use this
package for other projects, or to try & use it with Portable.NET?
I have the various branches for packaging here if you want to use them,
and could sponsor uploads if you want to maintain this - I have not used
this package for some time now.

Thanks,
Andrew
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#504286; Package wnpp. (Mon, 03 Nov 2008 13:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sajith T S <sajith@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Mon, 03 Nov 2008 13:42:07 GMT) Full text and rfc822 format available.

Message #15 received at 504286@bugs.debian.org (full text, mbox):

From: Sajith T S <sajith@gmail.com>
To: David Paleino <d.paleino@gmail.com>, 504286@bugs.debian.org
Subject: Re: Bug#504286: ITP: treecc -- manage code generation for compiler development
Date: Mon, 3 Nov 2008 19:10:55 +0530
David Paleino <d.paleino@gmail.com> wrote:

>             URL: http://www.southern-storm.com.au/treecc/
>                  (not accessible, currently :-( )

What about this URL?  (Look in "download links")

    http://www.gnu.org/software/dotgnu/

AFAIK treecc was developed as part of dotgnu portable.net project, and
its repository can be found in their savannah.gnu.org CVS.  The other
site belongs to the lead developer of dotgnu, who apparently is no
longer active.

Regards,
Sajith.
-- 
"the lyf so short, the craft so long to lerne."  
     	         -- Chaucer.





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#504286; Package wnpp. (Sat, 08 Nov 2008 13:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Paleino <d.paleino@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Sat, 08 Nov 2008 13:39:02 GMT) Full text and rfc822 format available.

Message #20 received at 504286@bugs.debian.org (full text, mbox):

From: David Paleino <d.paleino@gmail.com>
To: Sajith T S <sajith@gmail.com>
Cc: 504286@bugs.debian.org
Subject: Re: Bug#504286: ITP: treecc -- manage code generation for compiler development
Date: Sat, 8 Nov 2008 14:38:17 +0100
[Message part 1 (text/plain, inline)]
On Mon, 3 Nov 2008 19:10:55 +0530, Sajith T S wrote:

> David Paleino <d.paleino@gmail.com> wrote:
> 
> >             URL: http://www.southern-storm.com.au/treecc/
> >                  (not accessible, currently :-( )
> 
> What about this URL?  (Look in "download links")
> 
>     http://www.gnu.org/software/dotgnu/

Yes, that's where I downloaded it, but that homepage is referenced in the
source code (see treecc.spec.in, for example)

> AFAIK treecc was developed as part of dotgnu portable.net project, and
> its repository can be found in their savannah.gnu.org CVS.  The other
> site belongs to the lead developer of dotgnu, who apparently is no
> longer active.

Thanks for the information,
David

-- 
 . ''`.  Debian maintainer | http://wiki.debian.org/DavidPaleino
 : :'  : Linuxer #334216 --|-- http://www.hanskalabs.net/
 `. `'`  GPG: 1392B174 ----|---- http://snipr.com/qa_page
   `-   2BAB C625 4E66 E7B8 450A C3E1 E6AA 9017 1392 B174
[signature.asc (application/pgp-signature, attachment)]

Owner recorded as David Paleino <d.paleino@gmail.com>. Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Fri, 14 Nov 2008 01:22:03 GMT) Full text and rfc822 format available.

Owner changed from David Paleino <d.paleino@gmail.com> to pkg-pnet-devel@lists.alioth.debian.org. Request was from David Paleino <d.paleino@gmail.com> to control@bugs.debian.org. (Thu, 05 Feb 2009 21:09:22 GMT) Full text and rfc822 format available.

Bug closed, send any further explanations to David Paleino <d.paleino@gmail.com> Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Sat, 02 May 2009 03:37:28 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 May 2009 07:33:31 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from David Paleino <dapal@debian.org> to control@bugs.debian.org. (Sun, 08 Nov 2009 23:21:04 GMT) Full text and rfc822 format available.

Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 08 Nov 2009 23:21:05 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'David Paleino <dapal@debian.org>' from 'David Paleino <d.paleino@gmail.com>' Request was from David Paleino <dapal@debian.org> to control@bugs.debian.org. (Wed, 23 Dec 2009 17:33:19 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, pkg-pnet-devel@lists.alioth.debian.org:
Bug#504286; Package wnpp. (Thu, 01 Apr 2010 09:48:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Lemmen <robertle@semistable.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, pkg-pnet-devel@lists.alioth.debian.org. (Thu, 01 Apr 2010 09:48:18 GMT) Full text and rfc822 format available.

Message #39 received at 504286@bugs.debian.org (full text, mbox):

From: Robert Lemmen <robertle@semistable.com>
To: 504286@bugs.debian.org
Cc: Simon Richter <geier@phobos.fachschaften.tu-muenchen.de>
Subject: reintroduction of treecc
Date: Thu, 1 Apr 2010 10:34:15 +0100
[Message part 1 (text/plain, inline)]
hi folks,

i use treecc a lot and think it is a phantastic tool without any real
alternatives (if you know of any, please tell me). the low popularity is
no reason, it has a very limited audience by nature. so if noone objects
i would reintroduce this to the archive and maintain it from then on. 

if i recall correctly, one of the reasons for the removal was a name
clash with some other prospective package. if that is still an issue,
please advice (simon?)

cu  robert

-- 
Robert Lemmen                               http://www.semistable.com 
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, pkg-pnet-devel@lists.alioth.debian.org:
Bug#504286; Package wnpp. (Sat, 19 Feb 2011 17:17:43 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, pkg-pnet-devel@lists.alioth.debian.org. (Sat, 19 Feb 2011 17:17:43 GMT) Full text and rfc822 format available.

Message #44 received at 504286@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 504286@bugs.debian.org
Cc: control@bugs.debian.org
Subject: treecc: changing back from ITP to RFP
Date: Sat, 19 Feb 2011 17:02:39 +0000
retitle 504286 RFP: treecc -- manage code generation for compiler development
noowner 504286
thanks

Hi,

This is an automatic email to change the status of treecc back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting treecc, please send a mail to
<control@bugs.debian.org> with:

 retitle 504286 ITP: treecc -- manage code generation for compiler development
 owner 504286 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <504286@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: treecc -- manage code generation for compiler development' from 'ITP: treecc -- manage code generation for compiler development' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 17:21:04 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by pkg-pnet-devel@lists.alioth.debian.org. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 17:21:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 05:35:25 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.